---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    name: s3explorer-kube
  name: s3explorer-kube
  namespace: ci
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      name: s3explorer-kube
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        name: s3explorer-kube
    spec:
      affinity:
        podAntiAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
          - labelSelector:
              matchExpressions:
              - key: name
                operator: In
                values:
                - s3explorer-kube
            topologyKey: kubernetes.io/hostname
      containers:
      - env:
        - name: APACHE_DOMAIN
          value: s3explorer.ci.apps.intra.unetresgrossebite.com
        - name: APACHE_HTTP_PORT
          value: "8080"
        - name: DEBUG
          value: yay
        - name: PUBLIC_PROTO
          value: https
        - name: TZ
          value: Europe/Paris
        image: registry.registry.svc.cluster.local:5000/ci/s3explorer:latest
        imagePullPolicy: Always
        livenessProbe:
          failureThreshold: 15
          httpGet:
            path: /
            port: 8080
            scheme: HTTP
          initialDelaySeconds: 30
          periodSeconds: 20
          successThreshold: 1
          timeoutSeconds: 8
        name: s3explorer
        ports:
        - containerPort: 8080
          protocol: TCP
        resources:
          limits:
            cpu: 150m
            memory: 128Mi
          requests:
            cpu: 10m
            memory: 64Mi
        volumeMounts:
        - mountPath: /etc/apache2/sites-enabled
          name: tmp
          subPath: apache
      - args:
        - --log.level=debug
        - --scrape_uri
        - http://stats:8080/server-status
        - --telemetry.address=:9113
        image: registry.registry.svc.cluster.local:5000/ci/httpexporter:master
        imagePullPolicy: Always
        livenessProbe:
          failureThreshold: 3
          httpGet:
            path: /
            port: 9113
            scheme: HTTP
          initialDelaySeconds: 30
          periodSeconds: 20
          successThreshold: 1
          timeoutSeconds: 3
        name: exporter
        ports:
        - containerPort: 9113
          protocol: TCP
        resources:
          limits:
            cpu: 100m
            memory: 128Mi
          requests:
            cpu: 10m
            memory: 64Mi
      dnsPolicy: ClusterFirst
      hostAliases:
      - hostnames:
        - stats
        ip: 127.0.0.1
      volumes:
      - emptyDir: {}
        name: tmp
